Bug 777528 - Error in MySQL GRANT command in server/default/deploy/jbossesb.sar/juddi-sql/mysql/create_database.sql
Error in MySQL GRANT command in server/default/deploy/jbossesb.sar/juddi-sql/...
Status: CLOSED WONTFIX
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Kurt Stam
http://jira.jboss.org/jira/browse/SOA-27
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 11:09 EDT by Len DiMaggio
Modified: 2012-07-13 00:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: SOA-27
Environment:
soa-standalone.zip (sept 25 2007) RHEL5 java version "1.5.0_12" Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_12-b04) Java HotSpot(TM) Server VM (build 1.5.0_12-b04, mixed mode)
Last Closed: 2007-11-02 09:40:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-27 None None None Never

  None (edit)
Description Len DiMaggio 2007-09-28 11:09:33 EDT
++ This bug is a clone of bug 777527 ++

Date of First Response: 2007-10-04 23:16:12
project_key: SOA

There's a small error in: server/default/deploy/jbossesb.sar/juddi-sql/mysql/create_database.sql

Replace:
	GRANT ALL PRIVILEGES ON juddi.* TO 'juddi@%' IDENTIFIED BY 'juddi'; 
With:
	GRANT ALL PRIVILEGES ON juddi.* TO juddi@'%' IDENTIFIED BY 'juddi';

To grant access to juddi user on all hosts.


Ref: http://dev.mysql.com/doc/refman/5.0/en/grant.html
Comment 1 Len DiMaggio 2007-10-04 21:09:52 EDT
Link: Added: This issue depends JBESB-1136
Comment 2 Kurt Stam 2007-10-04 23:16:12 EDT
Setting up the user has been removed from the scripts all together. We are now using the scripts as they come with jUDDI. 

Note You need to log in before you can comment on or make changes to this bug.